/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.managementcenter.materialinfo.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.financial.settlement.entity.MaintainData;
import com.jeeplus.modules.sg.managementcenter.materialinfo.entity.MaterialInfo;
import com.jeeplus.modules.sg.managementcenter.materialproject.entity.MaterialProject;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@MyBatisMapper
public interface MaterialInfoMapper extends BaseMapper<MaterialInfo> {
	int insertList(@Param("list") List<MaterialInfo> list);
	void insertOldList(@Param("list") List<MaterialInfo> list);
	List<MaterialInfo> findByList(@Param("list") List<MaterialProject> list);
	void deleteByPro(String projectName);
	void deleteByOld(String projectName);
	void deleteMaterial(String projectName);
}